#ifndef KW36x_DEVICE_H_
#define KW36x_DEVICE_H_

#include <stdint.h>

/* one block for each device/algorithm */
/*-----------------------------------------------------------------------*/
#if   defined KW36x

  static __inline void Watchdog_Disable(void) {
    (*((volatile uint32_t *)(0x40048100U))) = 0x00u;                  /* SIM->COPC = (uint32_t)0x00u; */
  }

  static __inline void RunMode_Set(void) {
    (*((volatile uint32_t *)(0xF000300CU))) |= ((1U << 15) | (1U <<13)); /* Disable cache, speculative read in MCM_PLACR */
    __nop();
  }

#else
  #error "flash_device not configured."
#endif

#endif /* KW36x_DEVICE_H_ */
